<%@ include file="/WEB-INF/jsp/main.jspf" %>
        ${logg.attr("JSP AttrEdit: start")}
        <div class="divcont">
            <%@ include file="/WEB-INF/jsp/top.jspf" %>

            <%@ include file="/WEB-INF/jsp/separator.jspf" %>
            <div class="divcont">
            
                <!-- *******************************************************************
                LEFT side:
                recursive tree of the ajsp (AttrJsp)
                ************************************************************************ -->
                <div class="divleft">
                    ${logg.attr("JSP AttrEdit: Create LEFT side")}
                    <c:if test="${!ajctrl.attrisinitial}">
                        ${logg.attr("JSP AttrEdit: Attr NOT initial, create tree")}
                        <a href="<c:url value = "/reporter/attredittree/ROOT/goto"/>">[ROOT]</a>
                        <ul>
                            <c:forEach var="child" items="${ajsp.nodes}">
                                <template:AttrRecursion ajsp="${child}" />
                            </c:forEach>
                        </ul>
                    </c:if>
                </div>
                
                <!-- *******************************************************************
                RIGHT side:
                actual node's editing form and actions
                ajform: the form
                - name
                - value
                - template
                ajctrl: the control (only for information)
                - objecttype
                - objectname
                - attrtype
                - location
                buttons:
                - ok (only if ajsp not initial)
                - delete (only if ajsp not initial)
                - new on same level (only if ajsp not initial)
                - new below (also if ajsp is initial)
                - insert template below (only if the current has no subnodes) (also if ajspo is initial)
                ************************************************************************ -->
                <div class="divright">
                    ${logg.attr("JSP AttrEdit: Create RIGHT side")}
                    <%@ include file="/WEB-INF/jsp/info.jspf" %>
                    <!-- Header info -->
                    <table>
                        <tr><td><b>Object type:</b></td><td>${ajctrl.objecttype}</td></tr>
                        <tr><td><b>Object name:</b></td><td>${ajctrl.objectname}</td></tr>
                        <tr><td><b>Attribute type:</b></td><td>${ajctrl.attrtype}</td></tr>
                        <tr><td class="tdpause"><b>Current node:</b></td><td>${ajctrl.location}</td></tr>
                    </table>
                    <!-- Form -->
                    ${logg.attr("JSP AttrEdit: Create input form")}
                    <c:url var="ok_url"  value="/reporter/attreditform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="ajform">
                    
                        <!-- Input form only if Attr is not empty and we are not at the root -->
                        <c:if test="${!ajctrl.attrisinitial and ajctrl.location != ''}">
                            <table>
                                <tr><td class="tdlabel">Name:</td><td><form:input path="name"/></td></tr>
                                <c:if test="${!ajctrl.novalues}">
                                    <tr><td class="tdlabel">Value:</td><td><form:input path="value"/></td></tr>
                                </c:if>
                                <!--  
                                <c:if test="${!ajform.notemplate}">
                                    <tr><td class="tdlabel tdpause">(include template):</td><td>
                                        <form:select path="template">
                                            <form:options items = "${ajtemplates}" />
                                        </form:select>
                                    </td></tr>
                                </c:if>
                                -->
                            </table>
                        </c:if>
                        <table>
                        
                            <!-- OK and delete actual only if not new Attr and not at the root (cannot delete root) -->
                            <c:if test="${!ajctrl.attrisinitial and ajctrl.location != ''}">
                                <tr><td><button type="submit">${ident.ws.wok}</button></td><td></td></tr>
                                <tr>
                                    <td>
                                        <c:url var="delete_url"  value="/reporter/attreditform/delete" />
                                        <button type="submit" formaction="${delete_url}">${ident.ws.wdelete}</button>
                                    </td><td></td>
                                </tr>
                            </c:if>
                            
                            <!-- Subnodes cannot be deleted if the Attr is new, but we can be at the root level -->
                            <c:if test="${!ajctrl.attrisinitial}">
                                <tr>
                                    <td>
                                        <c:url var="delsub_url"  value="/reporter/attreditform/delsub" />
                                        <button type="submit" formaction="${delsub_url}">Delete subnodes</button>
                                    </td><td></td>
                                </tr>
                            </c:if>
                            
                            <!-- New node on the same level only if not new and not at root -->
                            <c:if test="${!ajctrl.attrisinitial and ajctrl.location != ''}">
                                <tr>
                                    <td>
                                        <c:url var="newsame_url"  value="/reporter/attreditform/newsame" />
                                        <button type="submit" formaction="${newsame_url}">Add node on this level</button>
                                    </td><td></td>
                                </tr>
                            </c:if>
                            
                            <!-- New subnode any time (otherwise never could start to fill an Attr :-) -->
                            <tr>
                                <td>
                                    <c:url var="newsub_url"  value="/reporter/attreditform/newsub" />
                                    <button type="submit" formaction="${newsub_url}">Add node below</button>
                                </td><td></td>
                            </tr>
                            
                            <!-- Insert template any time if no subnodes yet -->
                            <c:if test="${!ajform.notemplate}">
                                <tr>
                                    <td>
                                        <form:select path="template">
                                            <form:options items = "${ajtemplates}" />
                                        </form:select>
                                    </td>
                                    <td>
                                        <c:url var="instemp_url"  value="/reporter/attreditform/instemp" />
                                        <button type="submit" formaction="${instemp_url}">Insert template below</button>
                                    </td>
                                </tr>
                            </c:if>
                        
                        </table>
                        
                    </form:form>
                </div>
            </div>
        </div>
    </body>
</html>